Subject: 28.1; (setq repeat-keep-prefix t) breaks repeat-mode

From: John Bernier <[email-masked]>
Date: Wed, 15 Jun 2022 02:22:19 +0200

When using repeat-mode, (setq repeat-keep-prefix t) should allow a
user to keep the previously used prefix when repeating a command.
Instead, setting it to t will somehow break the repeat functionality.
'emacs -Q', reloading the init file or toggling repeat-mode off/on does
not fix it.